## class SG_EXPORT osg::NodeCallback

## Inheritance:

### Public Fields

ref_ptr<NodeCallback> _nestedCallback

### Public Methods

NodeCallback()
NodeCallback(const NodeCallback&, const CopyOp&)
META_Object(osg, NodeCallback) ()(Node* node, NodeVisitor* nv)
void traverse(Node* node, NodeVisitor* nv)
  Call any nested callbacks and then traverse the scene graph.
void setNestedCallback(NodeCallback* nc)
NodeCallback* getNestedCallback()
inline void addNestedCallback(NodeCallback* nc)
inline void removeNestedCallback(NodeCallback* nc)

### Protected Methods

virtual ~NodeCallback()

### Inherited from Object:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object*) const
virtual const char* libraryName() const
virtual const char* className() const
inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

`NodeCallback()`

`NodeCallback(const NodeCallback&, const CopyOp&)`

`META_Object(osg, NodeCallback) ()(Node* node, NodeVisitor* nv)`

`void traverse(Node* node, NodeVisitor* nv)`
  Call any nested callbacks and then traverse the scene graph.

`void setNestedCallback(NodeCallback* nc)`

`NodeCallback* getNestedCallback()`

`inline void addNestedCallback(NodeCallback* nc)`

`inline void removeNestedCallback(NodeCallback* nc)`

`ref_ptr<NodeCallback> _nestedCallback`

`virtual ~NodeCallback()`

Direct child classes:
  AnimationPathCallback

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.